Arduino

Reference Language | Libraries | Comparison | Changes

## interrupts()

#### Description

Re-enables interrupts (after they've been disabled by noInterrupts()). Interrupts allow certain important tasks to happen in the background and are enabled by default. Some functions will not work while interrupts are disabled, and incoming communication may be ignored. Interrupts can slightly disrupt the timing of code, however, and may be disabled for particularly critical sections of code.

#### Parameters

None

#### Returns

None

#### Example

    void setup() {}

    void loop()
    {
      noInterrupts();
      // critical, time-sensitive code here
      interrupts();
      // other code here
    }

#### See Also

- noInterrupts()
- attachInterrupt()
- detachInterrupt()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes